org.eclipse.wst.jsdt.debug.core.jsdi

## Interface FunctionReference

All Superinterfaces:
  Mirror, ObjectReference, Value

    public interface FunctionReference
    extends ObjectReference

Abstract representation of a function object with-respect-to Javascript debugging.

Since:
  1.0
See Also:
  `ObjectReference`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `functionBody()` Returns the source code for the body of the function.
`java.lang.String` `functionName()` Returns the name of the function as it has been defined at the creation time of this value.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.ObjectReference

`className, constructor, id, properties, prototype`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Value

`valueString`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### functionName

    java.lang.String functionName()

Returns the name of the function as it has been defined at the creation time of this value.

Returns:
  the name of the function

#### functionBody

    java.lang.String functionBody()

Returns the source code for the body of the function.
This method can return `null`

Returns:
  the source code for the function body